Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.jcas.tcas
Class Annotation_Type

    java.lang.Object
      org.apache.uima.jcas.cas.TOP_Type
          org.apache.uima.jcas.cas.AnnotationBase_Type
              org.apache.uima.jcas.tcas.Annotation_Type

Direct Known Subclasses:
  DocumentAnnotation_Type, SourceDocumentInformation_Type

    public class Annotation_Type

extends AnnotationBase_Type

Field Summary
`static boolean` | `featOkTst`
`static int` | `typeIndexID`

Fields inherited from class org.apache.uima.jcas.cas.TOP_Type
`casImpl, casType, casTypeCode, instanceOf_Type, jcas, ll_cas, lowLevelArrayBoundChecks, lowLevelTypeChecks, useExistingInstance`

Constructor Summary
`protected` | `Annotation_Type()`
`` | `Annotation_Type(JCas jcas, Type casType)`

Method Summary
`int` | `getBegin(int addr)`
`String` | `getCoveredText(int inst)`
`int` | `getEnd(int addr)`
`protected org.apache.uima.cas.impl.FSGenerator` | `getFSGenerator()`
`void` | `setBegin(int addr, int v)`
`void` | `setEnd(int addr, int v)`

Methods inherited from class org.apache.uima.jcas.cas.AnnotationBase_Type
`getSofa, getView`

Methods inherited from class org.apache.uima.jcas.cas.TOP_Type
`addToIndexes, checkType, getTypeIndexID, invalidTypeArg, noObjCreate, removeFromIndexes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### typeIndexID

    public static final int typeIndexID

### featOkTst

    public static final boolean featOkTst

Constructor Detail

### Annotation_Type

    public Annotation_Type(JCas jcas,
                           Type casType)

### Annotation_Type

    protected Annotation_Type()

Method Detail

### getFSGenerator

    protected org.apache.uima.cas.impl.FSGenerator getFSGenerator()

  Overrides:
    `getFSGenerator` in class `AnnotationBase_Type`

### getBegin

    public int getBegin(int addr)

### setBegin

    public void setBegin(int addr,
                         int v)

### getEnd

    public int getEnd(int addr)

### setEnd

    public void setEnd(int addr,
                       int v)

### getCoveredText

    public String getCoveredText(int inst)

  See Also:
    `AnnotationFS.getCoveredText()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 The Apache Software Foundation. All Rights Reserved.